LFR-FSW - Bug #805

Analyse Logiscope LFR_3.1.0.4 : Tr_OrdreChoix Severity is High
19/10/2016 02:24 PM - William Recart

Status: Closed Start date: 19/10/2016
Priority: Low Due date:

Assignee: paul leroy % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
revision: r0

Description

Rappel de la regle :
Tr_OrdreChoix
Definition:

A default case is mandatory within a switch in order to cover unexpected cases.

Parameters:

The character string "last", which, if used, specifies that the default case
has to be the last one.

La régle n'est pas respectée dans 3 cas d'aprés Logiscope:
Fichier fsw_processing.c : lignes 72, 130, 187

History

#1-11/01/2017 11:48 AM - paul leroy
- Status changed from New to Resolved

- Priority changed from Normal to Low

Corrigé pour les trois occurences.

#2 - 13/01/2017 04:03 PM - William Recart

- Status changed from Resolved to Closed

Vérification effectuée sur le tag 322 (c0603702c8c8) , il ne reste aucune erreur.
L'issue est considérée close.
